Update user
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"isAdmin": true,
"isDeactivated": true,
"notifications": [
"<string>"
],
"password": "<string>",
"settings": {},
"title": "<string>",
"tosAccepted": {}
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/users/{id}"
payload = {
"firstName": "<string>",
"isAdmin": True,
"isDeactivated": True,
"notifications": ["<string>"],
"password": "<string>",
"settings": {},
"title": "<string>",
"tosAccepted": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
isAdmin: true,
isDeactivated: true,
notifications: ['<string>'],
password: '<string>',
settings: {},
title: '<string>',
tosAccepted: {}
})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"id": 123,
"isAdmin": true,
"notifications": {},
"username": "<string>",
"activeRoleId": 123,
"aliases": [
{
"createdAt": "<string>",
"id": 123,
"updatedAt": "<string>",
"userId": 123,
"username": "<string>"
}
],
"createdAt": "2023-12-25",
"defaultRoles": [
"<string>"
],
"externalId": "<string>",
"firstName": "<string>",
"gitUser": "<string>",
"impersonation": {
"expiresAt": "2023-12-25",
"impersonatedUser": null,
"startedAt": "2023-12-25"
},
"isDeactivated": true,
"lastLogin": "2023-12-25",
"picture": "<string>",
"samlId": "<string>",
"settings": {
"alternatingRowColors": true,
"lastSeenChangelogId": 123,
"locale": "<string>",
"theme": "<string>",
"timezone": "<string>"
},
"title": "<string>",
"tosAccepted": {},
"updatedAt": "2023-12-25"
}Users Admin
Update user
PUT
/
v1
/
users
/
{id}
Update user
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Path Parameters
Body
application/json
UserUpdateInput
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I